Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IERRelationship

    com.change_vision.jude.api.inf.model.IERRelationship

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public IERRelationship

extends INamedElement

Interface for ERRelationship.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getCardinality()` Get Cardinality.
`abstract IEREntity` | `getChild()` Get Child Entity.
`abstract IERIndex` | `getERIndex()` Get ERIndex.
`abstract IERAttribute[]` | `getForeignKeys()` Get foreign keys.
`abstract String` | `getLogicalName()` Get Logical Name.
`abstract IEREntity` | `getParent()` Get Parent Entity.
`abstract String` | `getPhysicalName()` Get Physical Name.
`abstract String` | `getVerbPhraseChild()` Get Verb Phrase(Child to Parent).
`abstract String` | `getVerbPhraseParent()` Get Verb Phrase(Parent to Child).
`abstract boolean` | `isIdentifying()` Check if the relationship is Identifying.
`abstract boolean` | `isMultiToMulti()` Check if the relationship is Many-to-Many.
`abstract boolean` | `isNonIdentifying()` Check if the relationship is Non-Identifying.
`abstract boolean` | `isParentRequired()` Check if the attribute is　Parent required.
`abstract void` | `setCardinality(String cardinality)` Set Cardinality.
`abstract void` | `setERIndex(IERIndex erIndex)` Set ERIndex to Relationship.
`abstract void` | `setERIndexToPrimarykey()` Set ERIndex to PrimaryKey.
`abstract void` | `setForeignKey(IERAttribute parent, IERAttribute child)` Set Foreign Key to Relationship.
`abstract void` | `setLogicalName(String logicalName)` Set Logical Name to Relationship.
`abstract void` | `setParentRequired(boolean isParentRequired)` Set if Parent is required.
`abstract void` | `setPhysicalName(String physicalName)` Set Physical Name to Relationship
`abstract void` | `setVerbPhraseChild(String verbPhrase)` Set Child Verb Phrase to Relationship.
`abstract void` | `setVerbPhraseParent(String verbPhrase)` Set Parent Verb Phrase to Relationship.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getLogicalName

    abstract String getLogicalName()

  Get Logical Name.

  Returns:
    Logical Name.

### getPhysicalName

    abstract String getPhysicalName()

  Get Physical Name.

  Returns:
    Physical Name. Return an empty string in case there is none.

### getVerbPhraseParent

    abstract String getVerbPhraseParent()

  Get Verb Phrase(Parent to Child).

  Returns:
    Verb Phrase(Parent to Child). Return null in case there is none.

### getVerbPhraseChild

    abstract String getVerbPhraseChild()

  Get Verb Phrase(Child to Parent).

  Returns:
    Verb Phrase(Child to Parent). Return null in case there is none.

### isIdentifying

    abstract boolean isIdentifying()

  Check if the relationship is Identifying.

  Returns:
    true it is Identifying / false it is not Identifying

### isNonIdentifying

    abstract boolean isNonIdentifying()

  Check if the relationship is Non-Identifying.

  Returns:
    true it is Non-Identifying / false it is not Non-Identifying

### isMultiToMulti

    abstract boolean isMultiToMulti()

  Check if the relationship is Many-to-Many.

  Returns:
    true it is Many-to-Many / false it is not Many-to-Many

### isParentRequired

    abstract boolean isParentRequired()

  Check if the attribute is　Parent required.

  Returns:
    true it is Parent required / false it is not Parent required

### getParent

    abstract IEREntity getParent()

  Get Parent Entity.

  Returns:
    Parent Entity.

### getChild

    abstract IEREntity getChild()

  Get Child Entity.

  Returns:
    Child Entity.

### getForeignKeys

    abstract IERAttribute[] getForeignKeys()

  Get foreign keys.

  Returns:
    the array of foreign keys. Return the empty array if there is none.

### getERIndex

    abstract IERIndex getERIndex()

  Get ERIndex.

  Returns:
    ERIndex

### setLogicalName

    abstract void setLogicalName(String logicalName)

  Set Logical Name to Relationship.

  Parameters:
    `logicalName` - Logical Name. It should NOT be null.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setPhysicalName

    abstract void setPhysicalName(String physicalName)

  Set Physical Name to Relationship

  Parameters:
    `physicalName` - Physical Name. It should NOT be null.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setVerbPhraseParent

    abstract void setVerbPhraseParent(String verbPhrase)

  Set Parent Verb Phrase to Relationship.

  Parameters:
    `verbPhrase` - Verb Phrase
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setVerbPhraseChild

    abstract void setVerbPhraseChild(String verbPhrase)

  Set Child Verb Phrase to Relationship.

  Parameters:
    `verbPhrase` - Verb Phrase
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setParentRequired

    abstract void setParentRequired(boolean isParentRequired)

  Set if Parent is required.

  Parameters:
    `isParentRequired` - if true, parent is required, otherwise, parent is not required.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARENT_REQUIRED_ERROR_KEY - Parent should be required for an identifying relationships.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setForeignKey

    abstract void setForeignKey(IERAttribute parent,
                                IERAttribute child)

  Set Foreign Key to Relationship.

  Parameters:
    `parent` - Parent Attribute. The type and length/precision should be same with the child attribute.
    `child` - Child Attribute
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              IERRElATIONSHIP_SETFORIGENKEY_FAIL_KEY - if a foreign key is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setERIndex

    abstract void setERIndex(IERIndex erIndex)

  Set ERIndex to Relationship.

  Parameters:
    `erIndex` - ERIndex
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setERIndexToPrimarykey

    abstract void setERIndexToPrimarykey()

  Set ERIndex to PrimaryKey.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### getCardinality

    abstract String getCardinality()

  Get Cardinality.

  Returns:
    Cardinality. 0orMore "0orMore" / 1orMore "1orMore" / 0or1 "0or1" / 2 "2" / ... / n "n"

### setCardinality

    abstract void setCardinality(String cardinality)

  Set Cardinality.

  Parameters:
    `cardinality` - Cardinality 0orMore "0orMore" / 1orMore "1orMore" / 0or1 "0or1" / 2 "2" / ... / n "n"
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs. InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD